<?php
namespace Opencart\Catalog\Controller\Account;
/**
 * Class Custom Field
 *
 * @package Opencart\Catalog\Controller\Account
 */
class CustomField extends \Opencart\System\Engine\Controller {
	/**
	 * @return void
	 */
	public function index(): void {
		$json = [];

		// Customer Group
		if (isset($this->request->get['customer_group_id']) && in_array((int)$this->request->get['customer_group_id'], (array)$this->config->get('config_customer_group_display'))) {
			$customer_group_id = (int)$this->request->get['customer_group_id'];
		} else {
			$customer_group_id = (int)$this->config->get('config_customer_group_id');
		}

		$this->load->model('account/custom_field');

		$custom_fields = $this->model_account_custom_field->getCustomFields($customer_group_id);

		foreach ($custom_fields as $custom_field) {
			$json[] = [
				'custom_field_id' => $custom_field['custom_field_id'],
				'required'        => $custom_field['required']
			];
		}

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
	public function getstates(): string 
	{ 
		$this->load->model('localisation/zone');
		if ($this->request->get['country_id']) {
			$country_id = (int)$this->request->get['country_id'];
		} else {
			$country_id = 99;
		}
		$json='';
		$custom_fields = $this->model_localisation_zone->getZonesByCountryId($country_id);
		foreach ($custom_fields as $custom_field) {
			$json.='<option value="'.$custom_field['zone_id'].'">'.$custom_field['name'].'</option>';
		}
        echo $json;
		 
	}
}
