<?php
namespace Opencart\Catalog\Controller\Common;
/**
 * Class Home
 *
 * @package Opencart\Catalog\Controller\Common
 */
class Home extends \Opencart\System\Engine\Controller {
	/**
	 * @return void
	 */
	public function index(): void {
		$this->document->setTitle($this->config->get('config_meta_title'));
		$this->document->setDescription($this->config->get('config_meta_description'));
		$this->document->setKeywords($this->config->get('config_meta_keyword'));

		//$data['column_left'] = $this->load->controller('common/column_left');
		//$data['column_right'] = $this->load->controller('common/column_right');
		//$data['content_top'] = $this->load->controller('common/content_top');
		//$data['content_bottom'] = $this->load->controller('common/content_bottom');
		//$data['home_banner'] = $this->load->controller('common/home_banner');
		$this->load->model('design/banner'); 
        $layout_id=7; 
		$banners = $this->model_design_banner->getBanner($layout_id);  
        $data['banners']=$banners;
		$featuredata['featured']=1;
		$featuredata['start']=0;
		$featuredata['limit']=10;
		$this->load->model('catalog/product'); 
		$featuredProducts = $this->model_catalog_product->getFeaturedProducts($featuredata);  
	 
        $data['featuredProducts']=$featuredProducts;
		$data['footer'] = $this->load->controller('common/footer');
		$data['header'] = $this->load->controller('common/header');
		$data['language'] = 'en-gb';
		$data['cms']=$this->getContent(1); 
		$gal_id=9; 
		$gallery = $this->model_design_banner->getImages($gal_id,0,4);  
		$data['gallery']=$gallery;
		$this->response->setOutput($this->load->view('common/home', $data));
	}
	//return information
	public function getContent($information_id): array {
		 

		$this->load->model('catalog/information');

		$information_info = $this->model_catalog_information->getInformation($information_id);
		$data=[]; 
		if ($information_info) {
			$data['title'] = $information_info['title'];
			$data['description'] = html_entity_decode($information_info['description'], ENT_QUOTES, 'UTF-8'); 
		}
		return $data; 
	}
}