<?php
namespace Opencart\Catalog\Controller\Common;
/**
 * Class Menu
 *
 * @package Opencart\Catalog\Controller\Common
 */
class Menu extends \Opencart\System\Engine\Controller {
	/**
	 * @return string
	 */
	public function index(): string {
		$this->load->language('common/menu');

		// Menu
		$this->load->model('catalog/category');

		$this->load->model('catalog/product');

		$data['categories'] = [];
        $parentId=0;
		$categories = $this->model_catalog_category->getmenuCategories($parentId);
		 
		foreach ($categories as $category) {
			 
				// Level 2
				$children_data = [];
				$parentIds=(int)$category['category_id'];
				$children = $this->model_catalog_category->getmenuCategories($parentIds);
				if ($category['top']) {
				foreach ($children as $child) {
					$filter_data = [
						'filter_category_id'  => $child['category_id'],
						'filter_sub_category' => true
					];

					$children_data[] = [
						'name'  => $child['name'] . ($this->config->get('config_product_count') ? ' (' . $this->model_catalog_product->getTotalProducts($filter_data) . ')' : ''),
						'href'  => $this->url->link('product/category', 'language=' . $this->config->get('config_language') . '&path=' . $category['category_id'] . '_' . $child['category_id'])
					];
				}
			   }else{
				$children = $this->model_catalog_category->getProductCategories($parentIds);
                if(count($children)>0){
					foreach ($children as $child) { 
						$children_data[] = [
							'name'  => $child['name'],
							'href'  => $this->url->link('product/product', 'language=' . $this->config->get('config_language') . '&product_id=' . $child['product_id'].'&path=' . $child['category_id'])
						];
					}
				}
			   }
				// Level 1
				$data['categories'][] = [
					'name'     => $category['name'],
					'children' => $children_data,
					'column'   => $category['column'] ? $category['column'] : 1,
					'href'     => $this->url->link('product/category', 'language=' . $this->config->get('config_language') . '&path=' . $category['category_id'])
				];
			 
		}
		if (isset($this->request->get['route']) && $this->request->get['route'] == 'product/product'){ 
			$data['colwidth2'] = 'col-md-8';  
		}else{ 
			$data['colwidth2'] = 'col-md-9'; 
		}
		$data['logo'] = ''; 
		if ($this->customer->isLogged()) {
			if($this->customer->getId()>0){
			$data['logo'] = $this->customer->getId();  
			} 
		} 
		 
		return $this->load->view('common/menu', $data);
	}
}
