<?php
namespace Opencart\Catalog\Controller\Information;
/**
 * Class Information
 *
 * @package Opencart\Catalog\Controller\Information
 */
class Faq extends \Opencart\System\Engine\Controller {
	/**
	 * @return void
	 */
	public function index(): void {
		    $information_id = 9; 
			$this->load->model('design/faq'); 
			if (isset($this->request->get['page'])) {
				$page = (int)$this->request->get['page'];
			} else {
				$page = 1;
			}
			$faq_total = $this->model_design_faq->getTotalFaqs($information_id);
			$limit=8;
			$start=($page-1)*$limit;
			$results = $this->model_design_faq->getFaqs($information_id,$start,$limit);
			$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');
			 
			$data['faq']=$results; //print_r($data['faq']);
			//$this->response->setOutput($this->load->view('information/faq', $data));
            $this->response->setOutput($this->load->view('information/faq', $data));
	}

	/**
	 * @return void
	 */
	public function info(): void {
		if (isset($this->request->get['information_id'])) {
			$information_id = (int)$this->request->get['information_id'];
		} else {
			$information_id = 0;
		}

		$this->load->model('catalog/information');

		$information_info = $this->model_catalog_information->getInformation($information_id);

		if ($information_info) {
			$data['title'] = $information_info['title'];
			$data['description'] = html_entity_decode($information_info['description'], ENT_QUOTES, 'UTF-8');

			$this->response->addHeader('X-Robots-Tag: noindex');
			$this->response->setOutput($this->load->view('information/information_info', $data));
		}
	}
	public function faq(): void {
		 
			$information_id = 9;
		 

			$this->load->model('design/faq');
 
			if (isset($this->request->get['page'])) {
				$page = (int)$this->request->get['page'];
			} else {
				$page = 0;
			}
			$faq_total = $this->model_design_faq->getTotalImages($information_id);
			$limit=8;
			$start=($faq_total-1)*$limit;
			$results = $this->model_design_faq->getFaqs($information_id,$start,$limit);
			$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');
			 
			$data['faq']=$results;
			$this->response->setOutput($this->load->view('information/faq', $data));
		 
		 
	}
}