<?php
namespace Opencart\Admin\Model\Design;
/**
 *  Class Faq
 *
 * @package Opencart\Admin\Model\Design
 */
class Faq extends \Opencart\System\Engine\Model {
	/**
	 * @param array $data
	 *
	 * @return int
	 */
	public function addFaq(array $data): void {
        $this->db->query("DELETE FROM `" . DB_PREFIX . "faq` WHERE `status` = 1");
        if (isset($data['faq'])) {
			foreach ($data['faq'] as $language_id => $value) {
				foreach ($value as $val) {
                  //  print_r( $val);exit;
                   // echo "INSERT INTO `" . DB_PREFIX . "faq` SET  `language_id` = '" . (int)$language_id . "', `question` = '" .  $this->db->escape($val['question']) . "', `answer` = '" .  $this->db->escape($val['answer']) . "',  `sort_order` = '" .  (int)$val['sort_order'] . "'";
					$this->db->query("INSERT INTO `" . DB_PREFIX . "faq` SET  `language_id` = '" . (int)$language_id . "', `question` = '" .  $this->db->escape($val['question']) . "', `answer` = '" .  $this->db->escape($val['answer']) . "',  `sort_order` = '" .  (int)$val['sort_order'] . "',  `status` = 1");
			//	echo '<br>';
                }
			}
		}
	}

	/**
	 * @param int   $faq_id
	 * @param array $data
	 *
	 * @return void
	 */
	public function editFaq(int $faq_id, array $data): void {
        $this->db->query("DELETE FROM `" . DB_PREFIX . "faq` WHERE `status` = 1");

		if (isset($data['faq'])) {
			foreach ($data['faq'] as $language_id => $value) {
				foreach ($value as $val) {
					$linksave="INSERT INTO `" . DB_PREFIX . "faq` SET   `language_id` = '" . (int)$language_id . "', `question` = '" .  $this->db->escape($val['question']) . "',   `sort_order` = '" . (int)$val['sort_order'] . "'";
					$this->db->query($linksave);
				}
			}
		}
	}

	/**
	 * @param int $faq_id
	 *
	 * @return void
	 */
	public function deleteFaq(int $faq_id): void {
		$this->db->query("DELETE FROM `" . DB_PREFIX . "faq` WHERE `faq_id` = '" . (int)$faq_id . "'");
		$this->db->query("DELETE FROM `" . DB_PREFIX . "faq_image` WHERE `faq_id` = '" . (int)$faq_id . "'");
	}

	/**
	 * @param int $faq_id
	 *
	 * @return array
	 */
	public function getFaq(int $faq_id): array {
		$query = $this->db->query("SELECT DISTINCT * FROM `" . DB_PREFIX . "faq` WHERE `faq_id` = '" . (int)$faq_id . "'");

		return $query->row;
	}

	/**
	 * @param array $data
	 *
	 * @return array
	 */
	public function getFaqs(array $data = []): array {
		$sql = "SELECT * FROM `" . DB_PREFIX . "faq` where status=1";

		$sort_data = [
			'question',
            'answer',
			'sort_order'
		];

		if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
			$sql .= " ORDER BY " . $data['sort'];
		} else {
			$sql .= " ORDER BY `question`";
		}

		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}

		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

	/**
	 * @param int $faq_id
	 *
	 * @return array
	 */
	public function getImages(int $faq_id): array {
		$faq_image_data = [];

		$faq_image_query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "faq_image` WHERE `faq_id` = '" . (int)$faq_id . "' ORDER BY `sort_order` ASC");

		foreach ($faq_image_query->rows as $faq_image) {
			$faq_image_data[$faq_image['language_id']][] = [
				'title'      => $faq_image['title'],
				'link'       => $faq_image['link'],
				'image'      => $faq_image['image'],
				'sort_order' => $faq_image['sort_order']
			];
		}

		return $faq_image_data;
	}

	/**
	 * @return int
	 */
	public function getTotalFaqs(): int {
		$query = $this->db->query("SELECT COUNT(*) AS `total` FROM `" . DB_PREFIX . "faq`");

		return (int)$query->row['total'];
	}
	
}
